Bug 187760 - databases/libzdb: Update to version 3.0
databases/libzdb: Update to version 3.0
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Martin Wilke
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-19 18:40 UTC by tkato432
Modified: 2014-05-19 08:50 UTC (History)
0 users

See Also:


Attachments
file.diff (2.54 KB, patch)
2014-03-19 18:40 UTC, tkato432
no flags Details | Diff
databases_libzdb.diff (2.62 KB, patch)
2014-04-22 19:38 UTC, tkato432
no flags Details | Diff
databases_libzdb.diff (2.39 KB, patch)
2014-04-23 19:28 UTC, tkato432
no flags Details | Diff
databases_libzdb.diff (2.67 KB, patch)
2014-04-26 19:27 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2014-03-19 18:40:07 UTC
- Update to version 3.0
Comment 1 Edwin Groothuis freebsd_committer 2014-03-19 18:40:45 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

miwi@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 tkato432 2014-04-22 19:38:10 UTC
Remake of the patch against current tree.
Comment 3 tkato432 2014-04-23 19:28:48 UTC
Remake of the patch against current tree.
Comment 4 Martin Wilke freebsd_committer 2014-04-26 03:36:58 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 Martin Wilke freebsd_committer 2014-04-26 03:37:14 UTC
State Changed
From-To: closed->open

reopen
Comment 6 dfilter freebsd_committer 2014-04-26 03:38:04 UTC
Author: miwi
Date: Sat Apr 26 02:38:00 2014
New Revision: 352218
URL: http://svnweb.freebsd.org/changeset/ports/352218
QAT: https://qat.redports.org/buildarchive/r352218/

Log:
  - Support USE_GITHUP
  
  PR:		187760
  Submitted by:	Ports FUry

Modified:
  head/net/py-netaddr/Makefile

Modified: head/net/py-netaddr/Makefile
==============================================================================
--- head/net/py-netaddr/Makefile	Sat Apr 26 02:36:52 2014	(r352217)
+++ head/net/py-netaddr/Makefile	Sat Apr 26 02:38:00 2014	(r352218)
@@ -4,7 +4,7 @@
 PORTNAME=	netaddr
 PORTVERSION=	0.7.10
 CATEGORIES=	net python
-MASTER_SITES=	https://github.com/downloads/drkjam/netaddr/
+MASTER_SITES=	GHC
 PKGNAMEPREFIX=	${PYTHON_PKGNAMEPREFIX}
 
 MAINTAINER=	ports@FreeBSD.org
@@ -12,6 +12,11 @@ COMMENT=	Python library for the manipula
 
 LICENSE=	BSD
 
+WRKSRC=		${WRKDIR}/${DISTNAME}
+
+USE_GITHUB=	yes
+GH_ACCOUNT=	drkjam
+
 USE_PYTHON=	yes
 USE_PYDISTUTILS=	yes
 PYDISTUTILS_AUTOPLIST=	yes
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 7 Martin Wilke freebsd_committer 2014-04-26 04:13:47 UTC
State Changed
From-To: open->feedback

the last attachet patch is not right :).
Comment 8 tkato432 2014-04-26 19:27:34 UTC
Here is the corrected patch.
Comment 9 Martin Wilke freebsd_committer 2014-05-19 08:47:39 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!
Comment 10 dfilter freebsd_committer 2014-05-19 08:47:43 UTC
Author: miwi
Date: Mon May 19 07:47:38 2014
New Revision: 354505
URL: http://svnweb.freebsd.org/changeset/ports/354505
QAT: https://qat.redports.org/buildarchive/r354505/

Log:
  - Update to 3.0
  - Stage support
  - Options helper
  
  PR:		187760
  Submitted by:	Ports Fury

Modified:
  head/databases/libzdb/Makefile
  head/databases/libzdb/distinfo
  head/databases/libzdb/pkg-plist

Modified: head/databases/libzdb/Makefile
==============================================================================
--- head/databases/libzdb/Makefile	Mon May 19 07:45:14 2014	(r354504)
+++ head/databases/libzdb/Makefile	Mon May 19 07:47:38 2014	(r354505)
@@ -2,39 +2,37 @@
 # $FreeBSD$
 
 PORTNAME=	libzdb
-PORTVERSION=	2.11.3
-PORTREVISION=	2
+PORTVERSION=	3.0
 CATEGORIES=	databases
-MASTER_SITES=	http://www.tildeslash.com/libzdb/dist/ \
-		http://www.c-s.li/ports/
+MASTER_SITES=	http://www.tildeslash.com/libzdb/dist/
 
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Thread-safe connection pool library
 
 LICENSE=	GPLv3
 
-OPTIONS_DEFINE=	MYSQL \
-		SQLITE \
-		PGSQL
-
-OPTIONS_DEFAULT=MYSQL SQLITE PGSQL
-
+USES=		gmake libtool pathfix
 GNU_CONFIGURE=	yes
 INSTALL_TARGET=	install-strip
-USES=		gmake libtool:keepla pathfix
 USE_LDCONFIG=	yes
 
-CPPFLAGS+=	-I${LOCALBASE}/include ${PTHREAD_CFLAGS}
-LDFLAGS+=	-L${LOCALBASE}/lib ${PTHREAD_LIBS}
+CPPFLAGS+=	-I${LOCALBASE}/include
+LDFLAGS+=	-L${LOCALBASE}/lib -pthread
 
-MYSQL_USE=	mysql=yes
+OPTIONS_DEFINE=		MYSQL PGSQL SQLITE SSL
+OPTIONS_DEFAULT=	MYSQL PGSQL SQLITE SSL
+
+MYSQL_USE=		mysql=yes
 MYSQL_CONFIGURE_ON=	--with-mysql=${LOCALBASE}/bin/mysql_config
 MYSQL_CONFIGURE_OFF=	--without-mysql
-SQLITE_USE=	sqlite=3
-SQLITE_CONFIGURE_ON=	--with-sqlite=${LOCALBASE}
-SQLITE_CONFIGURE_OFF=	--without-sqlite
-PGSQL_USE=	pgsql=yes
+PGSQL_USE=		pgsql=yes
 PGSQL_CONFIGURE_ON=	--with-postgresql=${LOCALBASE}/bin/pg_config
 PGSQL_CONFIGURE_OFF=	--without-postgresql
+SQLITE_USE=		sqlite=3
+SQLITE_CONFIGURE_ON=	--with-sqlite=${LOCALBASE}
+SQLITE_CONFIGURE_OFF=	--without-sqlite
+SSL_USE=		openssl=yes
+SSL_CONFIGURE_ON=	--enable-openssl=${OPENSSLBASE}
+SSL_CONFIGURE_OFF=	--disable-openssl
 
 .include <bsd.port.mk>

Modified: head/databases/libzdb/distinfo
==============================================================================
--- head/databases/libzdb/distinfo	Mon May 19 07:45:14 2014	(r354504)
+++ head/databases/libzdb/distinfo	Mon May 19 07:47:38 2014	(r354505)
@@ -1,2 +1,2 @@
-SHA256 (libzdb-2.11.3.tar.gz) = 3ad2ffa8533b8b4524104a66345659235cec56211664906eba83134e3b305028
-SIZE (libzdb-2.11.3.tar.gz) = 604720
+SHA256 (libzdb-3.0.tar.gz) = e334bcb9ca1410e863634a164e3b1b5784018eb6e90b6c2b527780fc29a123c8
+SIZE (libzdb-3.0.tar.gz) = 700284

Modified: head/databases/libzdb/pkg-plist
==============================================================================
--- head/databases/libzdb/pkg-plist	Mon May 19 07:45:14 2014	(r354504)
+++ head/databases/libzdb/pkg-plist	Mon May 19 07:47:38 2014	(r354505)
@@ -7,9 +7,8 @@ include/zdb/SQLException.h
 include/zdb/URL.h
 include/zdb/zdb.h
 lib/libzdb.a
-lib/libzdb.la
 lib/libzdb.so
-lib/libzdb.so.9
-lib/libzdb.so.9.0.2
+lib/libzdb.so.11
+lib/libzdb.so.11.0.0
 libdata/pkgconfig/zdb.pc
 @dirrm include/zdb
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"